<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<style>
 .grid {
     display: grid;
     background: #3e3e3e;
     width: 700px;
     border: 10px solid #3e3e3e;
     grid-template-columns: repeat(7, 1fr);
     grid-template-rows: repeat(11, 65px);
     grid-gap: 8px;

 }
 .grid-item {
     background: #fff;
     display: flex;
     justify-content: center;
     align-items: center;
     color: orange;
     box-sizing: border-box;
 }

 .grid-item1 {
     grid-column: 1 / 3;
     grid-row: 1 / 1;
 }
 .grid-item2 {
     grid-column: 3 / 6;
     grid-row: 1 / 1;
 }
 .grid-item3 {
  background-color: black;
 }
 .grid-item4 {}

 .grid-item5 {
     grid-row: 2 / 4;
 }
 .grid-item6 {
     grid-column: 2 / 6;
     grid-row: 2 / 7;
     background-color: blue;
 }
 .grid-item7 {
     background-color: yellow;
     grid-row: 2 / 4;
     grid-column: 6 / 8;
 }
 .grid-item8 {
     grid-row: 4 / 8;
 }
 .grid-item9, .grid-item10 {
     grid-row: 4 / 7;
 }
 .grid-item11 {
     background-color: black;
     grid-row: 7 / 9;
     grid-column: 2 / 4;
 }
 .grid-item12 {
     grid-row: 7 / 8;
     grid-column: 4 / 6;
 }
 .grid-item13 {
     grid-column:  6 / 8;
 }
 .grid-item14 {
     background-color: yellow;
     grid-row: 8 / 11;
 }
 .grid-item15 {
	 grid-row: 8 / 9;
	 grid-column: 4 / 6;
 }
 .grid-item16 {
	 background-color: red;
	 grid-row: 8 / 10;
	 grid-column: 6 / 8
 }
 .grid-item17 {
	 grid-row: 9 / 11;
	 grid-column: 2 / 4;
 }
 .grid-item18 {
	 background-color: black;
	 grid-column: 4 / 6;
 }
 .grid-item19 {
	 background-color: yellow;
	 grid-column: 4 / 6;
 }
 .grid-item20 {
	 background-color: blue;
	 grid-column: 6 / 8;
	 grid-row: 10 / 12;
 }
 .grid-item22 {
	 grid-column: 2 / 4;
 }
 .grid-item23 {
	 background-color: black;
 }
 .grid-item24 {
	 background-color: yellow;
 }




</style>
<body>
<div class="grid">
  <div class="grid-item grid-item1">1</div>
  <div class="grid-item grid-item2">2</div>
  <div class="grid-item grid-item3">3</div>
  <div class="grid-item grid-item4">4</div>
  <div class="grid-item grid-item5">5</div>
  <div class="grid-item grid-item6">6</div>
  <div class="grid-item grid-item7">7</div>
  <div class="grid-item grid-item8">8</div>
  <div class="grid-item grid-item9">9</div>
  <div class="grid-item grid-item10">10</div>
  <div class="grid-item grid-item11">11</div>
  <div class="grid-item grid-item12">12</div>
  <div class="grid-item grid-item13">13</div>
  <div class="grid-item grid-item14">14</div>
  <div class="grid-item grid-item15">15</div>
  <div class="grid-item grid-item16">16</div>
  <div class="grid-item grid-item17">17</div>
  <div class="grid-item grid-item18">18</div>
  <div class="grid-item grid-item19">19</div>
  <div class="grid-item grid-item20">20</div>
  <div class="grid-item grid-item21">21</div>
  <div class="grid-item grid-item22">22</div>
  <div class="grid-item grid-item23">23</div>
  <div class="grid-item grid-item24">24</div>
</div>
</body>
</html>